{
  config,
  pkgs,
  ...
}: {
  programs.newsboat = {
    enable = true;
    autoReload = true;
    urls = [
      {
        title = "drewdevault's blog";
        url = "https://drewdevault.com/blog/index.xml";
      }
      {
        title = "The Go Blog";
        url = "https://blog.golang.org/feed.atom";
      }
      {
        title = "emersion";
        url = "https://emersion.fr/blog/atom.xml";
      }
      {
        title = "sockpupet";
        url = "https://sockpuppet.org/atom.xml";
      }
      {
        title = "latacora";
        url = "https://latacora.micro.blog/feed.xml";
      }
      {
        title = "archlinux news";
        url = "https://archlinux.org/feeds/news/";
      }
      {url = "https://torresjrjr.com/archive/index.xml";}
      {url = "https://www.kalzumeus.com/feed.xml";}
      {url = "https://senan.xyz/feed.xml";}
      {url = "https://www.paritybit.ca/feed.xml";}
      {url = "https://マリウス.com/index.xml";}
      {url = "http://nullr0ute.com/feed/";}
      {url = "https://sourcehut.org/blog/index.xml";}
      {url = "https://openwrt.org/feed.php?type=rss&mode=list&sort=date&ns=advisory&linkto=current&content=html";}
      {url = "https://sfconservancy.org/feeds/blog/";}
    ];
  };
}
